/*
Theme Name: Divi Child
Template:   Divi
*/

:root{
    --gutter: 20px;
    --wrapper-width: 1120px;

    --blue: #167CA2;
    --blue--darker: color-mix(in srgb, var(--blue) 80%, #000);
    --red: #CA4A1C;
    --red--darker: color-mix(in srgb, var(--red) 80%, #000);
}

.btn{
    color: #fff;
    text-decoration: none;
    cursor: pointer;
    padding: .25em 1em;
    min-height: 38px;
    display: flex;
    align-items: center;
    justify-content: center;
    max-width: max-content;
    line-height: 1.2em;
    font-size: 1.125rem;
    border-radius: 10px;
    background: var(--blue);

    font-weight: 600;
    transition: background 0.2s ease;
    
}
.btn:is(:hover, :focus){
    background: var(--blue--darker);
}

.btn--red{
    background: var(--red);
}
.btn--red:is(:hover, :focus){
    background: var(--red--darker);
}


.wrapper{
    max-width: var(--wrapper-width);
    margin-inline: auto;
}

.meetings-block{
    background: #f0f0f0;
    padding: 48px var(--gutter) 60px;

    h2{
        font-size: calc((36 / 16) * 1em);
        margin-block: calc((48 / 36) * 1em) calc((24 / 36) * 1em);
        padding: 0;
        &:first-child{
            margin-top: 0;
        }
    }
}

.meeting-item{
    background: #fff;
    padding: 32px 25px;
    margin-bottom: 24px;
    border-radius: 8px;
    border: 1px solid #E5E7EB;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.10), 0 1px 3px 0 rgba(0, 0, 0, 0.10);

    gap: 22px 30px;

    display: flex;
    align-items: start;
    @media (width < 768px){
        flex-direction: column;
    }
}

.meeting-item__title{
    line-height: 1.2;
    em {
        text-transform: uppercase;
        font-weight: inherit;
    }
}

.meeting-item__links{
    display: flex;
    gap: 16px 24px;
    flex-wrap: wrap;
    
    @media (width >= 768px){
        margin-left: auto;
    }
}

.meeting-item__kicker{
    color: #167CA2;
    font-size: 16px;
    line-height: 18px;
    padding: 4px 12px ;
    border-radius: 5px;
    background: #EFF6FF;
    margin: 0 0 1em;
    display: block;
    width: max-content;
}

.meetings-archive{
    display: flex;
    flex-direction: column;
    gap: 1rem;

    @media (width >= 768px){
        flex-direction: row;
    }
}

.meetings-archive__col{
    display: flex;
    flex-direction: column;
    gap: 1rem;

    @media (width >= 768px){
        flex: 1;
    }
}



.meetings-archive__group{
  /* Optional: styling for visibility */
  /* background-color: #f2f3f5;
  padding: 1rem;
  border: 1px solid #ccc; */
}

.meetings-archive__toggle{
    background: #fff;
    border: 1px solid #E5E7EB;
    border-radius: 8px;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.10), 0 1px 3px 0 rgba(0, 0, 0, 0.10);
    padding: 16px 25px;
    width: 100%;
    text-align: left;
    font-size: calc((20 / 16) * 1em);
    font-weight: 500;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 12px;
    color: #000;
    min-height: calc((70 / 20) * 1em);;

    &::after{
        content: '';
        display: block;
        width: 20px;
        height: 20px;
        flex-shrink: 0;
        background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='20' height='20' viewBox='0 0 20 20' fill='none'%3E%3Cpath d='M5 7.53418L10 12.5342L15 7.53418' stroke='%234A5565' stroke-width='1.66667' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E") no-repeat center;
        transition: transform 0.2s ease;
    }

    /* &:is(:hover, :focus-visible)::after{
        transform: rotate(180deg);
    } */

    &[aria-expanded="true"]{
        border-radius: 8px 8px 0 0;
    }

    &[aria-expanded="true"]::after{
        transform: rotate(180deg);
    }
}


.meetings-archive__content{
    
    background: #fff;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.10), 0 1px 3px 0 rgba(0, 0, 0, 0.10);
    border-radius: 0 0 8px 8px;
    
}

.meetings-archive__inner {
        padding: 20px;
        display: flex;
        flex-direction: column;
        gap: 32px;
    }

.meeting-concise{
    
    /* padding: 20px 25px; */
    /* border: 1px solid #E5E7EB;
    border-top: none; */
    

    display: flex;
    align-items: center;
    gap: 6px 0;
    flex-direction: column;
    align-items: start;
    

    p {
        /* display: flex; */
        font-size: 14px;
        font-weight: 400;
        line-height: 1.4;    
        padding: 0;
    }

    &:last-child{
        border-radius: 0 0 8px 8px;
    }
}
.meeting-concise__status{
    font-style: italic;
}

.meeting-concise__title{
    font-size: 16px;
    line-height: 1.4;
    font-weight: 600;
    padding: 0;
}
.meeting-concise__location{
    
}
.meeting-concise__links{
    display: flex;
    gap: 12px .8em;
    flex-wrap: wrap;
    [aria-hidden="true"]{
        padding: 0;
        font-size: 12px;
        transform: translateY(1px);
    }

    a{
        text-decoration: underline;
    }
}






.et_pb_contact_form .et_pb_contact_field ::placeholder{
    opacity: 1;
}

.et_pb_with_background .et-pb-contact-message{
    color: #fff;
}

#menu-sca-footer .menu-item a:is(:hover, :focus){
    text-decoration: underline;
}


